/* Navigation Block */
header .wp-block-navigation__responsive-container-content {
	display: flex;
}

header ul.wp-block-navigation {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	gap: 0.1rem;
	font-size: 25px;
}

header .wp-block-navigation-item {
	transition: color 0.4s ease-out;
	white-space: nowrap;
}

header .wp-block-navigation-item:hover,
header .wp-block-navigation-item.current-menu-item {
	color: var(--wp--preset--color--orange);
	transition: color 0.1s ease-in;
}

.wp-block-navigation__responsive-container.is-menu-open {
	animation: none !important;
}

/* - - - - Navigation Breakpoint - - - - */
@media (max-width: 819px) {

	body .wp-block-navigation__responsive-container-open svg,
	body .wp-block-navigation__responsive-container-close svg {
		display: none;
	}

	body .wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: block !important;
		width: 28px;
		height: 18px;
		background: url(../../images/menu-open.svg) no-repeat;
	}

	body .wp-block-navigation__responsive-container-close {
		display: block !important;
		top: 20px;
		right: 2px;
		width: 24px;
		height: 24px;
		background: url(../../images/menu-close.svg) no-repeat;
		background-size: cover;
	}

	body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none !important;
	}

	header .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
		flex-basis: auto !important;
	}

	header nav.wp-block-navigation {
		justify-content: flex-end;
	}

	header .wp-block-site-logo {
		position: absolute;
		width: 110px;
		z-index: 2;
	}

	header .wp-block-navigation__responsive-container {
		z-index: 1 !important;
	}
	
	header .wp-block-navigation__responsive-container-content {
		padding-top: 8rem !important;
	}
}

@media (min-width: 820px) {
	body .wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none !important;
	}
	body
		.wp-block-navigation__responsive-container:not(.hidden-by-default):not(
			.is-menu-open
		) {
		display: block !important;
	}

	header .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
		flex-basis: 100% !important;
	}
}
